Yaws application is installed into /usr/lib/yaws directory, so to run it
you have to add option
    -pa /usr/lib/yaws/ebin
to Erlang process command line. Also, if you develop using Yaws don't
forget to add
    -I/usr/lib/yaws/include
to Erlang compiler options.

------------------------------------------------------------------------

Note that files /usr/lib/yaws/priv/soap.xsd, /usr/lib/yaws/priv/wsdl.xsd,
and /usr/lib/yaws/priv/wsdl11soap12.xsd have to be removed from the
Yaws Debian package because they aren't DFSG-free. They don't permit
modification. So, if you want to use SOAP in Yaws, you'll have to

1. Download the three missing files:
    wget -O soap.xsd http://schemas.xmlsoap.org/wsdl/soap/2003-02-11.xsd
    wget http://schemas.xmlsoap.org/wsdl/soap12/wsdl11soap12.xsd
    wget -O wsdl.xsd http://schemas.xmlsoap.org/wsdl/2003-02-11.xsd

2. Put them into the /usr/lib/yaws/priv directory.

3. Follow the instructions from http://yaws.hyber.org/soap_intro.yaws
   to actually setup and enable SOAP in your Yaws installation.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 18 Aug 2016 11:28:21 +0300
